
local BNT = CreateFrame("Frame", "Broker_NameToggle")

BNT.obj = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("Broker_NameToggle", {
	label = "Broker_NameToggle",
	icon = "Interface\\Icons\\Temp",
	text = "Таблички",
   OnClick = function(_, button)
      if button == "LeftButton" then
         if IsShiftKeyDown() then ToggleCVar("nameplateShowFriends")
         elseif IsControlKeyDown() then ToggleCVar("UnitNameFriendlyPetName")
         else ToggleCVar("UnitNameFriendlyPlayerName")
         end
      elseif button == "RightButton" then
         if IsShiftKeyDown() then ToggleCVar("nameplateShowEnemies")
         elseif IsControlKeyDown() then ToggleCVar("UnitNameEnemyPetName")
         else ToggleCVar("UnitNameEnemyPlayerName")
         end
      elseif button == "MiddleButton" then
         ToggleCVar("UnitNameNPC")
      end
   end,
   OnTooltipShow = function(tooltip)
      tooltip:AddLine("|cffffffffBroker_NameToggle|r",1,1,1)
      tooltip:AddLine(" ")
      tooltip:AddLine("|cffffffffИмя игрока|r")
      tooltip:AddDoubleLine("Имя дружественного игрока","[|cffffffffЛевый клик|r]")
      tooltip:AddDoubleLine("Имя вражеского игрока","[|cffffffffПравый клик|r]")
      tooltip:AddLine(" ")
	  tooltip:AddLine("|cffffffffИмя питомца|r")
	  tooltip:AddDoubleLine("Имя дружественного питомца","[|cffffffffCtrl+Левый клик|r]")
      tooltip:AddDoubleLine("Имя вражеского питомца","[|cffffffffCtrl+Правый клик|r]")
      tooltip:AddLine(" ")
	  tooltip:AddLine("|cffffffffтаблички с именами|r")
	  tooltip:AddDoubleLine("Переключение дружественных табличек","[|cffffffffShift+Левый клик|r]")
      tooltip:AddDoubleLine("Переключение вражеских табличек","[|cffffffffShift+Правый клик|r]")
      tooltip:AddLine(" ")
	  tooltip:AddLine("|cffffffffИмя НИПа|r")
      tooltip:AddDoubleLine("Переключение табличек НИПов","[|cffffffffMiddleClick|r]")
      tooltip:Show()
   end,
	}
)

function ToggleCVar(var)
   SetCVar(var, GetCVar(var) == "1" and 0 or 1)
   ChatFrame1:AddMessage("|cffcfb53bТаблички|r: "..var.." - "..(GetCVar(var) == "1" and "|cff00ff00показать|r" or "|cffff0000скрыть|r")..".")
end
